< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package objectstore
  Definition Classes
    hmrc
-  package client
  Definition Classes
    objectstore
-  package play
  Definition Classes
    client
-  object PlayObjectStoreClient
  Definition Classes
    play
-  object Implicits extends PlayObjectStoreReads with PlayObjectStoreContentReads with PlayObjectStoreContentWrites
  Definition Classes
    PlayObjectStoreClient
- InMemoryReads

o

uk.gov.hmrc.objectstore.client.play.PlayObjectStoreClient.Implicits

# InMemoryReads 

###

#### object InMemoryReads extends InMemoryPlayObjectStoreContentReads

Linear Supertypes
InMemoryPlayObjectStoreContentReads, PlayObjectStoreContentReads, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InMemoryReads
2. InMemoryPlayObjectStoreContentReads
3. PlayObjectStoreContentReads
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  implicit def akkaSourceContentRead: ObjectStoreContentRead[Future, WSResponse, Source[ByteString, NotUsed]]
   Definition Classes
     PlayObjectStoreContentReads
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  implicit def jsReadsRead[A](implicit arg0: Reads[A], ec: ExecutionContext, m: Materializer): ObjectStoreContentRead[Future, WSResponse, A]
    Definition Classes
      InMemoryPlayObjectStoreContentReads
14.  implicit def jsResultContentRead[A](implicit arg0: Reads[A], ec: ExecutionContext, m: Materializer): ObjectStoreContentRead[Future, WSResponse, JsResult[A]]
    Definition Classes
      InMemoryPlayObjectStoreContentReads
15.  implicit def jsValueContentRead(implicit ec: ExecutionContext, m: Materializer): ObjectStoreContentRead[Future, WSResponse, JsValue]
    Definition Classes
      InMemoryPlayObjectStoreContentReads
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  implicit def stringContentRead(implicit ec: ExecutionContext, m: Materializer): ObjectStoreContentRead[Future, WSResponse, String]
    Definition Classes
      InMemoryPlayObjectStoreContentReads
20.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
21.  def toString(): String
    Definition Classes
      AnyRef → Any
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from InMemoryPlayObjectStoreContentReads

### Inherited from PlayObjectStoreContentReads

### Inherited from AnyRef

### Inherited from Any

### Ungrouped